Skip to main content
POST
https://checkout.dintero.com/v1
/
view
/
{session_id}
/
session
/
lock
checkout_sid_lock
curl --request POST \
  --url https://checkout.dintero.com/v1/view/{session_id}/session/lock
import requests

url = "https://checkout.dintero.com/v1/view/{session_id}/session/lock"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://checkout.dintero.com/v1/view/{session_id}/session/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://checkout.dintero.com/v1/view/{session_id}/session/lock"

req, _ := http.NewRequest("POST", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/view/{session_id}/session/lock")
.asString();
{
  "pay_lock": {
    "pay_lock_id": "7ffdbd47-a7c8-476b-b06b-39e0a3f2a4c6"
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}

Path Parameters

session_id
string<checkout-id>
required

The session ID

Response

Information about the lock

If the session is locked, and metadata about the lock.

pay_lock
object
Last modified on July 9, 2026